在centos7上安装git客户端

作者: StoneWu  |  时间: 2017-06-30 10:21:23  |  
分类: linux学习  |  0 条评论  |  145 次浏览

首先需要安装依赖包:

yum -y install zlib-devel openssl-devel perl cpio expat-devel gettext-devel 
yum install autoconf

下载git源码包

wget xxxxxxxxxxxxxx

解压源码包

tar zxvf xxxxxxxx.tar.gz

编译安装

cd  git(源码目录)
autoconf 
./configure --with-curl=/usr/local/git(安装目录)
make 
make install

编译的时候有可能会报Can't locate ExtUtils/MakeMaker.pm的错误

解决方式:

yum install perl-ExtUtils-CBuilder perl-ExtUtils-MakeMaker
回复列表
加载中~
暂时木有内容~
回复于 审核中
开始你的表演ಠᴗಠ
邮件通知